html {
    font-size: 62.5%;
}
body {
    font-size: 16px; /* 1 rem = 10 px */
}

:root {                     
    --white: #ffffff;
    --dark: #212121;
    --primary_color: #FFC107;
}

.myTitle{
    text-align: center;             
    color:  #216477;
    font-size: 3.5rem;
}

.myContainer {
    width: 120rem; 
    margin: 0 auto;
}

.nav-bg {
    background-color: #216477;
}

.Principal_Nav {
    padding: 1rem; 
    display: flex; /* Flex displays and the justify-content parameter may be used to space elements horizontally. */
    justify-content: space-between; /* How ever, they must be included in the parent elements of the elements you want to space */
    /* In this case, the desired outcome is to center and space the links in the navigation area, so the display is used here. */
    /* The flex display group child elements in rows (default) or columns in order to organize theese items later */
    /* flex-direction: column; */ /* This will make the nav items appear on a column instead of a row */
    /* align-items: center; */ /* notice that the modifiers for rows and columns are different, so justify-content: space-between; sould be useless in a column */
}

.Principal_Nav a {
    color: white;
    text-decoration: none; 
}

/* Pseudoclasses: There are used to define parameters for elements within classes in response to certain events, like hovering the mouse arrow over a link */

.Principal_Nav a:hover {
    background-color: var(--secondary_color);
    color: var(--dark);
}

.Principal_Nav a:focus {
    background-color: var(--secondary_color);
    color: var(--dark);
}
